Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZi18nOperator Class Reference

## Public Member Functions
| __construct ( $name='i18n', $extensionName='x18n', $dynamicName='d18n')
| operatorList ()
| namedParameterPerOperator ()
| namedParameterList ()
| operatorTemplateHints ()
| i18nTrans ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$value, $namedParameters, $placement)

## Public Attributes
| $Operators
| $Name
| $ExtensionName
| $DynamicName

## Detailed Description

! eZKernel The class eZi18nOperator does

Definition at line 17 of file ezi18noperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZi18nOperator::__construct | ( |  | $name = `'i18n'`,
|  |  | $extensionName = `'x18n'`,
|  |  | $dynamicName = `'d18n'`
| ) |  |

Constructor

Parameters

  string | $name |
  string | $extensionName |
  string | $dynamicName |

Definition at line 26 of file ezi18noperator.php.

## Member Function Documentation

## ◆ i18nTrans()

eZi18nOperator::i18nTrans | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 95 of file ezi18noperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\createStringElement(), eZTemplateNodeTool\elementConstantValue(), eZTSTranslator\initialize(), eZLocale\instance(), eZTranslatorManager\instance(), eZTemplateNodeTool\isConstantElement(), and ezpI18n\tr().

## ◆ modify()

eZi18nOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $value,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Definition at line 158 of file ezi18noperator.php.

References ezpI18n\tr().

## ◆ namedParameterList()

eZi18nOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 55 of file ezi18noperator.php.

References $DynamicName, and $Name.

## ◆ namedParameterPerOperator()

eZi18nOperator::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type.

Definition at line 47 of file ezi18noperator.php.

## ◆ operatorList()

eZi18nOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 39 of file ezi18noperator.php.

References $Operators.

## ◆ operatorTemplateHints()

eZi18nOperator::operatorTemplateHints | ( |  | ) |

Definition at line 82 of file ezi18noperator.php.

References $DynamicName, and $Name.

## Member Data Documentation

## ◆ $DynamicName

eZi18nOperator::$DynamicName

Definition at line 185 of file ezi18noperator.php.

Referenced by namedParameterList(), and operatorTemplateHints().

## ◆ $ExtensionName

eZi18nOperator::$ExtensionName

Definition at line 184 of file ezi18noperator.php.

## ◆ $Name

eZi18nOperator::$Name

Definition at line 183 of file ezi18noperator.php.

Referenced by namedParameterList(), and operatorTemplateHints().

## ◆ $Operators

eZi18nOperator::$Operators

Definition at line 182 of file ezi18noperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- ezi18noperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.